---
name: Mitchell Hanks
locality:
country: Remote
role: <a href="">Growth Manager, Online Sales & Self Service</a>
reports_to: alliemarconi
picture: Mitchell_Hanks.jpeg
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: mhanks
departments:
- eCommerce
specialty: ''
expertise:
story:
job_title: Manager, Online Sales & Self Service Growth
division: Sales
public: true

